#include <bits/stdc++.h>
using namespace std;

int n,m,black[10005],white[10005],all;
vector<int> v;
vector<vector<int>> tmp,oo;


int calc()
{
    int res=0;
    for(int i=0;i<m;i++)
    {
        res+=black[i]*white[i];
    }
    return res;
}

int greedy()
{
    vector<vector<int>> temp;
    for(int i=0;i<n;i++)
    {
        vector<int> v1={};
        for(int j=0;j<v[i];j++)
        {
            v1.push_back(1);
        }
        for(int j=0;j<m-v[i];j++)
        {
            v1.push_back(0);
        }
        temp.push_back(v1);
    }
    for(int i=0;i<m;i++)
    {
        black[i]=0;
        white[i]=0;
    }
    for(int i=n-1;i>=0;i--)
    {
        for(int j=0;j<m;j++)
        {
            if(temp[i][j])
            {
                black[j]++;
            }
            else
            {
                white[j]++;
            }
        }
    }
    sort(temp.begin(),temp.end());
    int res=calc();
    for(int i=n-1;i>=0;i--)
    {
        for(int j=0;j<m;j++)
        {
            if(temp[i][j])
            {
                black[j]--;
                white[j]++;
            }
            else
            {
                white[j]--;
                black[j]++;
            }
        }
        res=min(res,calc());
    }
    return res;
}

void input()
{
    int in;
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        cin>>in;
        v.push_back(in);
    }
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    input();
    cout<<greedy();
}